using System;
using System.Collections.Generic;
using System.Text;

namespace TEAMModelOS.SDK.Models.Cosmos.Student
{
   public  class StudentAnalysis
    {
        public StudentAnalysis() {
            ids = new List<string>();
            scores = new List<Score>();
            gpr = new List<double>();
            cpr = new List<double>();
            total = new List<double>();
            names = new List<string>();
        }
        public List<string> ids { get; set; }
        public List<string> names { get; set; }
        public List<double> gpr { get; set; }
        public List<double> cpr { get; set; }
        public List<Score> scores { get; set; }
        public List<double> total { get; set; }
        public class Score {
            public Score() {
                csc = new List<double>();
                cdpr = new List<double>();
                gdpr = new List<double>();
                gsc = new List<double>();
            }
            public string subjectId { get; set; }
            public List<double> csc { get; set; }
            public List<double> gsc { get; set; }
            public List<double> cdpr { get; set; }
            public List<double> gdpr { get; set; }
        }
       
    }
}
